Index: palm/trunk/SOURCE/tridia_solver.f90
===================================================================
--- palm/trunk/SOURCE/tridia_solver.f90	(revision 1310)
+++ palm/trunk/SOURCE/tridia_solver.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -55,10 +61,15 @@
 !------------------------------------------------------------------------------!
 
-    USE indices
-    USE transpose_indices
+    USE indices,                                                               &
+        ONLY:  nx, ny, nz
+
+    USE kinds
+
+    USE transpose_indices,                                                     &
+        ONLY:  nxl_z, nyn_z, nxr_z, nys_z
 
     IMPLICIT NONE
 
-    REAL, DIMENSION(:,:), ALLOCATABLE ::  ddzuw
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  ddzuw !: 
 
     PRIVATE
@@ -79,9 +90,12 @@
     SUBROUTINE tridia_init
 
-       USE arrays_3d,  ONLY:  ddzu_pres, ddzw
+       USE arrays_3d,                                                          &
+           ONLY:  ddzu_pres, ddzw
+
+       USE kinds
 
        IMPLICIT NONE
 
-       INTEGER ::  k
+       INTEGER(iwp) ::  k !: 
 
        ALLOCATE( ddzuw(0:nz-1,3) )
@@ -109,14 +123,28 @@
 !------------------------------------------------------------------------------!
 
-          USE arrays_3d,  ONLY: tric
-          USE constants
-          USE control_parameters
-          USE grid_variables
+          USE arrays_3d,                                                       &
+              ONLY:  tric
+
+          USE constants,                                                       &
+              ONLY:  pi
+
+          USE control_parameters,                                              &
+              ONLY:  ibc_p_b, ibc_p_t
+
+          USE grid_variables,                                                  &
+              ONLY:  dx, dy
+
+
+          USE kinds
 
           IMPLICIT NONE
 
-          INTEGER ::  i, j, k, nnxh, nnyh
-
-          REAL    ::  ll(nxl_z:nxr_z,nys_z:nyn_z)
+          INTEGER(iwp) ::  i    !: 
+          INTEGER(iwp) ::  j    !: 
+          INTEGER(iwp) ::  k    !: 
+          INTEGER(iwp) ::  nnxh !: 
+          INTEGER(iwp) ::  nnyh !: 
+
+          REAL(wp)    ::  ll(nxl_z:nxr_z,nys_z:nyn_z) !: 
           !$acc declare create( ll )
 
@@ -201,14 +229,21 @@
 !------------------------------------------------------------------------------!
 
-          USE arrays_3d,  ONLY: tri
-          USE control_parameters
+          USE arrays_3d,                                                       & 
+              ONLY:  tri
+
+          USE control_parameters,                                              &
+              ONLY:  ibc_p_b, ibc_p_t
+
+          USE kinds
 
           IMPLICIT NONE
 
-          INTEGER ::  i, j, k
-
-          REAL    ::  ar(nxl_z:nxr_z,nys_z:nyn_z,1:nz)
-
-          REAL, DIMENSION(nxl_z:nxr_z,nys_z:nyn_z,0:nz-1)   ::  ar1
+          INTEGER(iwp) ::  i !: 
+          INTEGER(iwp) ::  j !: 
+          INTEGER(iwp) ::  k !: 
+
+          REAL(wp)     ::  ar(nxl_z:nxr_z,nys_z:nyn_z,1:nz) !: 
+
+          REAL(wp), DIMENSION(nxl_z:nxr_z,nys_z:nyn_z,0:nz-1)   ::  ar1 !: 
           !$acc declare create( ar1 )
 
@@ -275,15 +310,23 @@
 !------------------------------------------------------------------------------!
 
-          USE arrays_3d,  ONLY: tri
-          USE control_parameters
+          USE arrays_3d,                                                       &
+              ONLY:  tri
+
+          USE control_parameters,                                              &
+              ONLY:  ibc_p_b, ibc_p_t
+
+          USE kinds
 
           IMPLICIT NONE
 
-          INTEGER ::  i, j, jj, k
-
-          REAL    ::  ar(nxl_z:nxr_z,nys_z:nyn_z,1:nz)
+          INTEGER(iwp) ::  i  !: 
+          INTEGER(iwp) ::  j  !: 
+          INTEGER(iwp) ::  jj !: 
+          INTEGER(iwp) ::  k  !: 
+
+          REAL(wp)     ::  ar(nxl_z:nxr_z,nys_z:nyn_z,1:nz) !: 
 
           !$acc declare create( ar1 )
-          REAL, DIMENSION(nxl_z:nxr_z,nys_z:nyn_z,0:nz-1)   ::  ar1
+          REAL(wp), DIMENSION(nxl_z:nxr_z,nys_z:nyn_z,0:nz-1) ::  ar1 !: 
 
 !
@@ -350,10 +393,14 @@
 !------------------------------------------------------------------------------!
 
-          USE arrays_3d,  ONLY: tri, tric
+          USE arrays_3d,                                                       & 
+              ONLY:  tri, tric
+
+          USE kinds
 
           IMPLICIT NONE
 
-          INTEGER ::  i, j, k
-
+          INTEGER(iwp) ::  i !: 
+          INTEGER(iwp) ::  j !: 
+          INTEGER(iwp) ::  k !: 
 !
 !--       Splitting
@@ -398,17 +445,28 @@
 !------------------------------------------------------------------------------!
 
-       USE arrays_3d
-       USE control_parameters
-
-       USE pegrid
+       USE arrays_3d,                                                          &
+           ONLY:  ddzu_pres, ddzw
+
+       USE control_parameters,                                                 &
+           ONLY:  ibc_p_b, ibc_p_t
+
+       USE kinds
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k, nnyh, nx, ny, omp_get_thread_num, tn
-
-       REAL    ::  ddx2, ddy2
-
-       REAL, DIMENSION(0:nx,1:nz)     ::  ar
-       REAL, DIMENSION(5,0:nx,0:nz-1) ::  tri_for_1d
+       INTEGER(iwp) ::  i                  !: 
+       INTEGER(iwp) ::  j                  !: 
+       INTEGER(iwp) ::  k                  !: 
+       INTEGER(iwp) ::  nnyh               !: 
+       INTEGER(iwp) ::  nx                 !: 
+       INTEGER(iwp) ::  ny                 !: 
+       INTEGER(iwp) ::  omp_get_thread_num !: 
+       INTEGER(iwp) ::  tn                 !: 
+
+       REAL(wp)     ::  ddx2 !: 
+       REAL(wp)     ::  ddy2 !: 
+
+       REAL(wp), DIMENSION(0:nx,1:nz)     ::  ar         !: 
+       REAL(wp), DIMENSION(5,0:nx,0:nz-1) ::  tri_for_1d !: 
 
 
@@ -465,15 +523,23 @@
 !------------------------------------------------------------------------------!
 
-          USE constants
+          USE constants,                                                       &
+              ONLY:  pi
+
+          USE kinds
 
           IMPLICIT NONE
 
-          INTEGER ::  i, j, k, nnxh
-          REAL    ::  a, c
-
-          REAL, DIMENSION(0:nx) ::  l
+          INTEGER(iwp) ::  i    !: 
+          INTEGER(iwp) ::  j    !: 
+          INTEGER(iwp) ::  k    !: 
+          INTEGER(iwp) ::  nnxh !: 
+
+          REAL(wp)     ::  a !: 
+          REAL(wp)     ::  c !: 
+
+          REAL(wp), DIMENSION(0:nx) ::  l !: 
 
 #if defined( __intel11 )
-          REAL, DIMENSION(5,0:nx,0:nz-1) ::  tri_for_1d
+          REAL(wp), DIMENSION(5,0:nx,0:nz-1) ::  tri_for_1d !: 
 #endif
 
@@ -533,8 +599,9 @@
           IMPLICIT NONE
 
-          INTEGER ::  i, k
+          INTEGER(iwp) ::  i !: 
+          INTEGER(iwp) ::  k !: 
 
 #if defined( __intel11 )
-          REAL, DIMENSION(5,0:nx,0:nz-1) ::  tri_for_1d
+          REAL(wp), DIMENSION(5,0:nx,0:nz-1) ::  tri_for_1d !: 
 #endif
 
@@ -563,9 +630,10 @@
           IMPLICIT NONE
 
-          INTEGER ::  i, k
-
-          REAL, DIMENSION(0:nx,nz)       ::  ar
-          REAL, DIMENSION(0:nx,0:nz-1)   ::  ar1
-          REAL, DIMENSION(5,0:nx,0:nz-1) ::  tri_for_1d
+          INTEGER(iwp) ::  i !: 
+          INTEGER(iwp) ::  k !: 
+
+          REAL(wp), DIMENSION(0:nx,nz)       ::  ar         !: 
+          REAL(wp), DIMENSION(0:nx,0:nz-1)   ::  ar1        !: 
+          REAL(wp), DIMENSION(5,0:nx,0:nz-1) ::  tri_for_1d !: 
 
 !
